#
# spec file for package dgs (Version 0.5.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake ghostscript-library glib-devel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext ghostscript-library glib-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         dgs
Copyright:    GPL
Group:        X11/Utilities
Summary:      Display Ghostscript
Version:      0.5.10
Release:      117
Source:       dgs-0.5.10.tar.bz2
Patch:        dgs-0.5.10.dif

%description
Display Ghostscript (DGS) is functionally upward-compatible with Adobe Display
PostScript, but it has been written independently.
The Display Ghostscript System
provides a device-independent imaging model for displaying information on a
screen. The imaging model uses the PostScript language which has powerful
graphics capabilities and frees the programmer from display-specific details
like
screen resolution and color issues. DGS is an integral part of the GNUstep
Development Environment.

Authors:
--------
    gnustep-bug@gnu.org

SuSE series: gra

%prep
%setup
%patch

%build
%{?suse_update_config:%{suse_update_config -f DPS }}
#automake
#autoconf
CXXFLAGS="$CXXFLAGS -DNDEBUG $RPM_OPT_FLAG " ./configure \
  --prefix=%{_prefix} --mandir=%{_mandir}
# added mandir
  
make

%install
make install
cp %{_mandir}/manm/dpsexec.man %{_mandir}/man1/dpsexec.1
cp %{_mandir}/manm/makepsres.man %{_mandir}/man1/makepsres.1
cp %{_mandir}/manm/xepsf.man %{_mandir}/man1/xepsf.1

%files
%doc FAQ STATUS ChangeLog NOTES ANNOUNCE INSTALL TODO README NEWS 
%dir /usr/include/DPS
#%dir /%{_mandir}/manm
%dir %{_mandir}/man1
# removed, needed package gs
#%dir /usr/share/ghostscript
#%dir /usr/share/ghostscript/5.50
#%dir /usr/share/ghostscript/5.50/doc
#%dir /usr/share/ghostscript/5.50/examples
#%dir /usr/share/ghostscript/fonts
/usr/bin/dgs-config
/usr/bin/dpsexec
/usr/bin/dpsnx.agent
/usr/bin/makepsres
/usr/bin/pswrap
/usr/bin/texteroids
/usr/bin/xepsf
/usr/include/DPS/ColorSB.h
/usr/include/DPS/ColorSBP.h
/usr/include/DPS/DPSScrollW.h
/usr/include/DPS/DPSScrollWP.h
/usr/include/DPS/FontCreatP.h
/usr/include/DPS/FontCreato.h
/usr/include/DPS/FontSB.h
/usr/include/DPS/FontSBP.h
/usr/include/DPS/FontSamplP.h
/usr/include/DPS/FontSample.h
/usr/include/DPS/PSres.h
/usr/include/DPS/XDPS.h
/usr/include/DPS/XDPSlib.h
/usr/include/DPS/XDPSproto.h
/usr/include/DPS/dpsNXargs.h
/usr/include/DPS/dpsXclient.h
/usr/include/DPS/dpsXcommon.h
/usr/include/DPS/dpsXpreview.h
/usr/include/DPS/dpsXshare.h
/usr/include/DPS/dpsXuserpath.h
/usr/include/DPS/dpsclient.h
/usr/include/DPS/dpsconfig.h
/usr/include/DPS/dpsexcept.h
/usr/include/DPS/dpsfriends.h
/usr/include/DPS/dpsops.h
/usr/include/DPS/psops.h
/usr/lib/libdps.a
/usr/lib/libdps.la
/usr/lib/libdps.so
/usr/lib/libdps.so.0
/usr/lib/libdps.so.0.0.1
/usr/lib/libdpstk.a
/usr/lib/libdpstk.la
/usr/lib/libdpstk.so
/usr/lib/libdpstk.so.0
/usr/lib/libdpstk.so.0.0.1
/usr/lib/libpsres.a
/usr/lib/libpsres.la
/usr/lib/libpsres.so
/usr/lib/libpsres.so.0
/usr/lib/libpsres.so.0.0.1
/%{_mandir}/man1/dpsnx.agent.1.gz
/%{_mandir}/man1/dpsexec.1.gz
/%{_mandir}/man1/makepsres.1.gz
/%{_mandir}/man1/xepsf.1.gz
/usr/share/aclocal/path_dps.m4
# removed, needed package gs
#/usr/share/ghostscript/5.50/Fontmap
#/usr/share/ghostscript/5.50/doc/Bug-form.htm
#/usr/share/ghostscript/5.50/doc/C-style.htm
#/usr/share/ghostscript/5.50/doc/Commprod.htm
#/usr/share/ghostscript/5.50/doc/Copying.htm
#/usr/share/ghostscript/5.50/doc/Current.htm
#/usr/share/ghostscript/5.50/doc/DLL.htm
#/usr/share/ghostscript/5.50/doc/Devices.htm
#/usr/share/ghostscript/5.50/doc/Drivers.htm
#/usr/share/ghostscript/5.50/doc/Fonts.htm
#/usr/share/ghostscript/5.50/doc/Helpers.htm
#/usr/share/ghostscript/5.50/doc/Hershey.htm
#/usr/share/ghostscript/5.50/doc/History1.htm
#/usr/share/ghostscript/5.50/doc/History2.htm
#/usr/share/ghostscript/5.50/doc/History3.htm
#/usr/share/ghostscript/5.50/doc/History4.htm
#/usr/share/ghostscript/5.50/doc/Htmstyle.htm
#/usr/share/ghostscript/5.50/doc/Humor.htm
#/usr/share/ghostscript/5.50/doc/Install.htm
#/usr/share/ghostscript/5.50/doc/Language.htm
#/usr/share/ghostscript/5.50/doc/Lib.htm
#/usr/share/ghostscript/5.50/doc/Make.htm
#/usr/share/ghostscript/5.50/doc/New-user.htm
#/usr/share/ghostscript/5.50/doc/News.htm
#/usr/share/ghostscript/5.50/doc/Ps2pdf.htm
#/usr/share/ghostscript/5.50/doc/Psfiles.htm
#/usr/share/ghostscript/5.50/doc/Public.htm
#/usr/share/ghostscript/5.50/doc/Readme.htm
#/usr/share/ghostscript/5.50/doc/Source.htm
#/usr/share/ghostscript/5.50/doc/Unix-lpr.htm
#/usr/share/ghostscript/5.50/doc/Use.htm
#/usr/share/ghostscript/5.50/doc/Xfonts.htm
#/usr/share/ghostscript/5.50/examples/ridt91.eps
#/usr/share/ghostscript/5.50/gs_btokn.ps
#/usr/share/ghostscript/5.50/gs_ccfnt.ps
#/usr/share/ghostscript/5.50/gs_cff.ps
#/usr/share/ghostscript/5.50/gs_cidfn.ps
#/usr/share/ghostscript/5.50/gs_cmap.ps
#/usr/share/ghostscript/5.50/gs_dbt_e.ps
#/usr/share/ghostscript/5.50/gs_diskf.ps
#/usr/share/ghostscript/5.50/gs_dpnxt.ps
#/usr/share/ghostscript/5.50/gs_dps.ps
#/usr/share/ghostscript/5.50/gs_dps1.ps
#/usr/share/ghostscript/5.50/gs_dps2.ps
#/usr/share/ghostscript/5.50/gs_epsf.ps
#/usr/share/ghostscript/5.50/gs_fonts.ps
#/usr/share/ghostscript/5.50/gs_init.ps
#/usr/share/ghostscript/5.50/gs_iso_e.ps
#/usr/share/ghostscript/5.50/gs_kanji.ps
#/usr/share/ghostscript/5.50/gs_ksb_e.ps
#/usr/share/ghostscript/5.50/gs_l2img.ps
#/usr/share/ghostscript/5.50/gs_lev2.ps
#/usr/share/ghostscript/5.50/gs_ll3.ps
#/usr/share/ghostscript/5.50/gs_mex_e.ps
#/usr/share/ghostscript/5.50/gs_mro_e.ps
#/usr/share/ghostscript/5.50/gs_pdf_e.ps
#/usr/share/ghostscript/5.50/gs_pdfwr.ps
#/usr/share/ghostscript/5.50/gs_pfile.ps
#/usr/share/ghostscript/5.50/gs_res.ps
#/usr/share/ghostscript/5.50/gs_setpd.ps
#/usr/share/ghostscript/5.50/gs_statd.ps
#/usr/share/ghostscript/5.50/gs_std_e.ps
#/usr/share/ghostscript/5.50/gs_sym_e.ps
#/usr/share/ghostscript/5.50/gs_ttf.ps
#/usr/share/ghostscript/5.50/gs_typ32.ps
#/usr/share/ghostscript/5.50/gs_typ42.ps
#/usr/share/ghostscript/5.50/gs_type1.ps
#/usr/share/ghostscript/5.50/gs_wan_e.ps

%changelog -n dgs
* Fri Aug 10 2001 - ro@suse.de
- don't autoconf to build for now
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_lib> to <ghostscript-library>
* Wed Apr 11 2001 - schwab@suse.de
- Fix use of %%suse_update_config.
- Fix missing declarations.
* Fri Mar 30 2001 - kukuk@suse.de
- Replace gs_both with gs_lib
- Use macros in spec file
* Fri Mar 02 2001 - ro@suse.de
- include time.h
* Thu Jan 18 2001 - tw@suse.de
- initial package version 0.5.10
- Copied the manpages from man/mamm to man/man1
  because 1 is defined for executables or shellcommands.
